Bug 7353 - full_audit problem
full_audit problem
Status: RESOLVED DUPLICATE of bug 7326
Product: Samba 3.4
Classification: Unclassified
Component: VFS Modules
3.4.7
x86 Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 09:46 UTC by Marco Barbero
Modified: 2010-05-12 04:48 UTC (History)
0 users

See Also:


Attachments
log debug level 10 (338.30 KB, text/x-log)
2010-04-12 09:48 UTC, Marco Barbero
no flags Details
log debug level 10 (success without full_audit) (298.73 KB, text/x-log)
2010-04-12 09:51 UTC, Marco Barbero
no flags Details
Patch for 3.4 (1.43 KB, patch)
2010-04-14 12:03 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Barbero 2010-04-12 09:46:06 UTC
using 3.4.7 (sernet debian lennypackages), I just noticed that if I use full_audit on a share then I cannot access the share anymore ONLY from windows 7 clients


# smb.conf share definition

[homes]
        comment = home directory
        browseable = no
        read only = no
        invalid users = root bin daemon sync nobody sys tty disk mem kmem
        create mask = 0600
        directory mask = 0700
        force security mode = 660

        vfs object = full_audit recycle

        full_audit:prefix = %U|%m
        full_audit:success = rmdir rename unlink
        full_audit:failure = none

        recycle:repository = /home/trash/%U
        recycle:keeptree = Yes
        recycle:touch = True
        recycle:versions = Yes
        recycle:maxsixe = 0


log (level 10) to follow
Comment 1 Marco Barbero 2010-04-12 09:48:51 UTC
Created attachment 5626 [details]
log debug level 10
Comment 2 Marco Barbero 2010-04-12 09:51:41 UTC
Created attachment 5627 [details]
log debug level 10 (success without full_audit)
Comment 3 Volker Lendecke 2010-04-12 10:02:04 UTC
Just to get things right: You can access to that share from Windows XP with and without full_audit, you can access the share from Windows 7 without full audit, but you can NOT access the share from Windows 7 if you activate the full audit module?

Another question: What hardware are you running on? If this is an intel compatible platform, is this 64 bit or is this 32 bit? If it is not intel compatible, what platform is it?

Thanks for the information,

Volker
Comment 4 Marco Barbero 2010-04-12 10:07:27 UTC
>You can access to that share from Windows XP with and
>without full_audit, you can access the share from Windows 7 without full audit,
>but you can NOT access the share from Windows 7 if you activate the full audit
>module?

correct!


>Another question: What hardware are you running on? If this is an intel
>compatible platform, is this 64 bit or is this 32 bit? If it is not intel
>compatible, what platform is it?

Intel, 32 bit

Thanks

Comment 5 Jeremy Allison 2010-04-13 16:28:03 UTC
Can't reproduce this on a v3-4-test build using a 32-bit Windows 7 running on a vmware virtual machine - this is using just "full_audit". I'll try using recycle also.
Jeremy.

Comment 6 Jeremy Allison 2010-04-13 16:48:16 UTC
Nope, even with my share set identically to the definition below I can't reproduce this on current v3-4-test.

Jeremy.
Comment 7 Marco Barbero 2010-04-13 17:53:29 UTC
(In reply to comment #6)
> Nope, even with my share set identically to the definition below I can't
> reproduce this on current v3-4-test.
> 
> Jeremy.
> 


What about 3.4.7?

Adding:  
- full_audit is giving troubles on some xp clients too (some files opened only read-only).  this using ACL and sernet 3.4.7 debian lenny packages
- full audit is giving major troubles on all clients using ACL and lenny backports 3.4.7 packages (http://www.mail-archive.com/samba@lists.samba.org/msg107026.html)

workstations are italian windows version
Comment 8 Volker Lendecke 2010-04-14 12:03:25 UTC
Created attachment 5633 [details]
Patch for 3.4

The attached patch has been applied to the v3-4-test branch leading to the next 3.4 release after 3.4.7 has been released. It is part of the bugfix for bug 7326 and can potentially also fix your problem.

Can you please test that patch?

Thanks,

Volker
Comment 9 Marco Barbero 2010-04-16 10:57:55 UTC
just applied the patch and rebuilt sernet packages.
It seems the patch is working.  I'm not experiencing anymore the issue related to windows seven clients.
Thanks 
Comment 10 Debian samba package maintainers (PUBLIC MAILING LIST) 2010-05-07 05:08:02 UTC
Will the patch for this bug be included in 3.4.8?

We have Debian bug #574011 about it and it certainly affects Ubuntu LTS.
Comment 11 Karolin Seeger 2010-05-12 04:48:12 UTC
(In reply to comment #10)
> Will the patch for this bug be included in 3.4.8?

Yes, this patch is included in Samba 3.4.8.


Comment 12 Karolin Seeger 2010-05-12 04:48:41 UTC

*** This bug has been marked as a duplicate of bug 7326 ***